monolog:
    handlers:
        main:
            type: rotating_file
            max_files: 10
            path: "%kernel.logs_dir%/%kernel.environment%/main.log"
            level: debug
            channels: ["!event", "!doctrine"]

        doctrine_logging:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%/doctrine.log"
            level: debug
            channels: ['doctrine']

        secutity:
            type: rotating_file
            max_files: 10
            path: "%kernel.logs_dir%/%kernel.environment%/security.log"
            level: debug
            channels: ['security']

        app:
            type: rotating_file
            max_files: 10
            path: "%kernel.logs_dir%/%kernel.environment%/app.log"
            level: debug
            channels: ['app']

        # uncomment to get logging in your browser
        # you may have to allow bigger header sizes in your Web server configuration
        #firephp:
        #    type: firephp
        #    level: info
        #chromephp:
        #    type: chromephp
        #    level: info
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine", "!console"]


